> For the complete documentation index, see [llms.txt](https://docs.abtasty.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.abtasty.com/recommendations-and-merchandising_deprecated/recommendations/introduction/variables-by-placement.md).

# Variables by placement

In recommendation, the placement configuration determines the variables that are available to the recommendation algorithms. These variables allow the platform to deliver contextually relevant recommendations based on the user's behaviour and the page they are visiting.

Below is a list of the variables accessible for each type of placement:

## Home Page <a href="#h_01jdmjcbbdzwxnk7ce79ag27s8" id="h_01jdmjcbbdzwxnk7ce79ag27s8"></a>

* **Last viewed products:** Items the user has recently viewed.
* **Products in cart:** Items currently in the user's cart.

## Category Page <a href="#h_01jdmjc7arj4sqxt85tt1sajp3" id="h_01jdmjc7arj4sqxt85tt1sajp3"></a>

* **Last viewed products:** Recently viewed items.
* **Products in cart:** Items in the user's cart.
* **Category ID:** The unique identifier of the category being viewed.

## Product Page <a href="#h_01jdmjc4qxhxysy0096y5nbfxm" id="h_01jdmjc4qxhxysy0096y5nbfxm"></a>

* **Last viewed products:** Recently viewed items.
* **Viewing product:** The product currently being viewed.
* **Products in cart:** Items in the user's cart.

## Add to Cart Event <a href="#h_01jdmjc1xba72zntqns5pqqbtm" id="h_01jdmjc1xba72zntqns5pqqbtm"></a>

* **Last viewed products:** Recently viewed items.
* **Products in cart:** Items in the user's cart.
* **Product added to cart:** The specific product added to the cart.

## Cart Page <a href="#h_01jdmjbyy6x4eg2aad4jsb1z7m" id="h_01jdmjbyy6x4eg2aad4jsb1z7m"></a>

* **Last viewed products:** Recently viewed items.
* **Products in cart:** Items in the user's cart.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.abtasty.com/recommendations-and-merchandising_deprecated/recommendations/introduction/variables-by-placement.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
